Delete the current organization
Starts an owner-authorized durable organization deletion operation, confirming the organization name in the request.
Starts an owner-authorized durable organization deletion operation, confirming the organization name in the request. Repeating the same request with the same Idempotency-Key returns the existing organization-scoped operation.
Authorization
apiKey In: header
Header Parameters
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/organizations/deletion-operations" \ -H "idempotency-key: string" \ -H "Content-Type: application/json" \ -d '{ "confirmationName": "string" }'{ "operation": { "id": "string", "organizationId": "string", "kind": "email-domain-provisioning", "subject": { "type": "string", "id": "string" }, "actor": { "type": "user", "id": "string" }, "status": "pending", "phase": "accepted", "error": { "code": "validation-failed", "message": "string" }, "createdAt": "string", "updatedAt": "string", "startedAt": "string", "completedAt": "string" }, "links": { "self": "string", "resource": { "resource": { "type": "string", "id": "string" }, "href": "string" } }}Related
Create an organization
Creates a new organization under the current billing account and returns it. Use this endpoint to create an organization through the Samva email API.
Get the current organization
Returns the organization for the current billing account. Use this endpoint to get the current organization through the Samva email API.